<?php


/**
 * Implements hook_views_data()
 */
function commerce_directdebit_views_data() {
  $data = array();

  // Expose the Account Number.
  $data['commerce_payment_transaction']['account_name'] = array(
    'title' => t('Account name'),
    'help' => t('Name of the account holder.'),
    'field' => array(
      'handler' => 'commerce_directdebit_handler_field_account_name',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['commerce_payment_transaction']['account_number'] = array(
    'title' => t('Account number'),
    'help' => t('Account number of the bank account.'),
    'field' => array(
      'handler' => 'commerce_directdebit_handler_field_account_number',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['commerce_payment_transaction']['sort_code'] = array(
    'title' => t('Sort code'),
    'help' => t('Sort code of the bank.'),
    'field' => array(
      'handler' => 'commerce_directdebit_handler_field_sort_code',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['commerce_payment_transaction']['iban'] = array(
    'title' => t('IBAN'),
    'help' => t('IBAN number.'),
    'field' => array(
      'handler' => 'commerce_directdebit_handler_field_iban_number',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['commerce_payment_transaction']['swift'] = array(
    'title' => t('SWIFT'),
    'help' => t('SWIFT/BIC code.'),
    'field' => array(
      'handler' => 'commerce_directdebit_handler_field_swift_code',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  $data['commerce_payment_transaction']['debit_date'] = array(
    'title' => t('Debit date'),
    'help' => t('Day of the month the Direct Debit is taken'),
    'field' => array(
      'handler' => 'commerce_directdebit_handler_field_debit_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  return $data;
}
